import { Enums } from "../enumsClass";

const ExaminationStatusEnums = {
  New: {
    value: 100,
    th: "สร้างใหม่",
    en: "สร้างใหม่",
  },
  ExamItem: {
    value: 110,
    th: "บันทึกข้อสอบ",
    en: "บันทึกข้อสอบ",
  },
  SelectItem: {
    value: 120,
    th: "คัดเลือกข้อสอบ",
    en: "คัดเลือกข้อสอบ",
  },
  CreateExam: {
    value: 200,
    th: "จัดทำแบบทดสอบ",
    en: "จัดทำแบบทดสอบ",
  },
  Disable: {
    value: 300,
    th: "ระงับการจัดสอบ",
    en: "ระงับการจัดสอบ",
  },
  End: {
    value: 400,
    th: "สิ้นสุดการจัดสอบ",
    en: "สิ้นสุดการจัดสอบ",
  },
  Cancle: {
    value: 500,
    th: "ยกเลิกการจัดสอบ",
    en: "ยกเลิกการจัดสอบ",
  },
  Temporary: {
    value: 990,
    th: "จัดเก็บข้อสอบเก่า",
    en: "จัดเก็บข้อสอบเก่า",
  },
} as const;

export const ExaminationStatus = new Enums(ExaminationStatusEnums);
